Bug 1510147 (CVE-2017-15103) - CVE-2017-15103 heketi: OS command injection in heketi API
Summary: CVE-2017-15103 heketi: OS command injection in heketi API
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15103
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20171218,repo...
Depends On: 1510283 1527157 1527158
Blocks: 1507642 1510610
TreeView+ depends on / blocked
 
Reported: 2017-11-06 18:42 UTC by Pedro Sampaio
Modified: 2019-06-08 22:27 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A security-check flaw was found in the way the Heketi server API handled user requests. An authenticated Heketi user could send specially crafted requests to the Heketi server, resulting in remote command execution as the user running Heketi server and possibly privilege escalation.
Clone Of:
Environment:
Last Closed: 2017-12-20 05:03:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3481 normal SHIPPED_LIVE Important: heketi security update 2017-12-18 22:24:25 UTC

Description Pedro Sampaio 2017-11-06 18:42:03 UTC
A flaw was found in heketi API that permits issuing of OS commands through especially crafted requests, possibly leading to escalation of privileges.

https://github.com/heketi/heketi/releases/tag/v5.0.1
https://github.com/heketi/heketi/commit/787bae461b23003a4daa4d1d639016a754cf6b00


https://access.redhat.com/security/vulnerabilities/3246991

Comment 1 Pedro Sampaio 2017-11-06 18:42:10 UTC
Acknowledgments:

Name: Markus Krell (NTT Security)

Comment 6 Siddharth Sharma 2017-12-18 16:57:12 UTC
Created heketi tracking bugs for this issue:

Affects: epel-all [bug 1527157]
Affects: fedora-all [bug 1527158]

Comment 7 errata-xmlrpc 2017-12-18 17:24:52 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.3 for RHEL 7

Via RHSA-2017:3481 https://access.redhat.com/errata/RHSA-2017:3481


Note You need to log in before you can comment on or make changes to this bug.